var SlideDeckSlides = {
	processing: false,
	
	updateTitle: function(e){
		var element = e;
		if (this.timer) {
			clearTimeout(element.timer);
		}
		this.timer = setTimeout(function(){
			jQuery('#hndle_for_' + jQuery(element).parents('.slide')[0].id).text(element.value);
			jQuery(element).parents('.slide').find('h3.hndle').text(element.value);
			document.getElementById('slide-start').options[jQuery(element).parents('.slide').find('input.slide-order')[0].value - 1].text = element.value;
		},100);
		return true;
	},
	
	addSlide: function(e){
		var self = this;
		
		if(this.processing === false){
			this.processing = true;
			
			var el = e;
			var slideCount = parseInt(jQuery('.slide').length);
			
			jQuery.ajax({
				url: e.href,
				type: 'get',
				data: {
					count: slideCount,
					gallery_id: jQuery('#slidedeck_gallery_id').val()
				},
				complete: function(data){
					var row_id = "slide_editor_" + (slideCount + 1),
						editor_id = "slide_" + (slideCount + 1) + "_content";
					
					jQuery('.slides').append(data.responseText);
					jQuery('#re-order-slides .slide-order').append('<li><a href="#' + row_id + '" class="hndle" id="hndle_for_slide_editor_' + (slideCount + 1) + '">Slide ' + (slideCount + 1) + '</a></li>');
					jQuery('#slide-start').append('<option value="' + (slideCount + 1) + '">Slide ' + (slideCount + 1) + '</option>')
					
					tinyParams = tinyMCEPreInit.mceInit;
					tinyParams.mode = "exact";
					tinyParams.elements = editor_id;
					
					tinyMCE.init(tinyParams);
	
					jQuery('#' + row_id + ' .slide-title').keyup(function(){
						SlideDeckSlides.updateTitle(this);
					});
					
					jQuery('#' + row_id + ' .editor-nav a').click(function(event){
						event.preventDefault();
						SlideDeckSlides.editorNavigation(this);
					});
					
					jQuery('#' + row_id + ' .slide-delete').click(function(event){
						event.preventDefault();
						SlideDeckSlides.deleteSlide(this);
					});
                    
                    jQuery('#' + row_id + ' .handlediv').bind('click', function(event){
                        event.preventDefault();
                        jQuery(this).parent().find('.inside').toggle();
                    });
					
					tb_init('#' + row_id + ' a.thickbox');
	                
                    jQuery('#' + row_id + ' .media-buttons').show();
					jQuery('#' + row_id + ' .media-buttons a.thickbox').click(function(){
						SlideDeckSlides.tb_click(this);
					});

					self.processing = false;
				}
			});
		}
	},
	
	deleteSlide: function(e){
		if(confirm("Are you sure you would like to delete this slide?")){
			var slide_id = jQuery(e).parents('.slide').attr('id').split('_')[2];
			
			jQuery('#hndle_for_slide_editor_' + slide_id).parents('li').remove();
			jQuery('#slide-start').find('option[value="' + slide_id + '"]').remove();

			jQuery(e).parents('.slide').remove();
			
		}		
	},
	
	tb_click: function(e){
		if ( typeof tinyMCE != 'undefined' && tinyMCE.activeEditor ) {
			var url = 	jQuery(e).attr('href');
			url = url.split('editor=');
			if(url.length>1){
				url = url[1];
				url = url.split('&');
				if(url.length>1){
					editorid = url[0];
				}
			}
			tinyMCE.get(editorid).focus();
			tinyMCE.activeEditor.windowManager.bookmark = tinyMCE.activeEditor.selection.getBookmark('simple');
			jQuery(window).resize();
		}
	},

	editorNavigation: function(e){
		var p = jQuery(e).parents('.slide');			
		var navs = p.find('.editor-nav a');
		navs.removeClass('active');
		jQuery(e).addClass('active');

		var editor = e.href.split("#")[1];
		var textarea = p.find('textarea.slide-content')[0];
		var tinyEditor = tinyMCE.get(textarea.id);
		
		switch(editor){
			case "visual":
				tinyEditor.setContent(textarea.value);
				p.find('.editor-container .mceEditor').show();
				p.find('.editor-container textarea.slide-content').hide();
			break;
			
			case "html":
				tinyEditor.save();
				p.find('.editor-container .mceEditor').hide();
				p.find('.editor-container textarea.slide-content').show().focus();
			break;
		}
	},
    
    syncEditors: function(){
        jQuery('.slide textarea.slide-content').each(function(i, el){
            var tinyEditor = tinyMCE.get(el.id);
            if(el.style.display == "none"){
                tinyEditor.save();
            } else {
                tinyEditor.setContent(el.value);
            }
        });
    }
};


function send_to_editor(h) {
	var ed;
	var editorid;
	var url = jQuery('#TB_window iframe').attr('src');
	url = url.split('editor=');
	if(url.length>1){
		url = url[1];
		url = url.split('&');
		if(url.length>1){
			editorid = url[0];
		}
	}
	if ( typeof tinyMCE != 'undefined' && ( ed = tinyMCE.activeEditor ) && !ed.isHidden() ) {
		ed.focus();
		if (tinymce.isIE)
			ed.selection.moveToBookmark(tinymce.EditorManager.activeEditor.windowManager.bookmark);

		if ( h.indexOf('[caption') === 0 ) {
			if ( ed.plugins.wpeditimage )
				h = ed.plugins.wpeditimage._do_shcode(h);
		} else if ( h.indexOf('[gallery') === 0 ) {
			if ( ed.plugins.wpgallery )
				h = ed.plugins.wpgallery._do_gallery(h);
		}

		ed.execCommand('mceInsertContent', false, h);

	} else if ( typeof edInsertContent == 'function' ) {
		edInsertContent(editorid, h);
	} else {
		jQuery( editorid ).val( jQuery( editorid ).val() + h );
	}

	tb_remove();
}


(function($){
	$(document).ready(function(){
        $('#slidedeck_update_form').submit(function(event){
            SlideDeckSlides.syncEditors();
        });
        
		$('.slide-title').keyup(function(){
			SlideDeckSlides.updateTitle(this);
		});

		$('.editor-nav a').click(function(event){
			event.preventDefault();
			SlideDeckSlides.editorNavigation(this);
		});

		$('.slide-delete').click(function(event){
			event.preventDefault();
			SlideDeckSlides.deleteSlide(this);
		});
        
        $('.slide .handlediv').bind('click', function(event){
            event.preventDefault();
            $(this).parent().find('.inside').toggle();
        });

		$('.media-buttons a.thickbox').click(function(){
			SlideDeckSlides.tb_click(this);
		});

		$('#btn_add-another-slide').click(function(event){
			event.preventDefault();
			SlideDeckSlides.addSlide(this);
		});
		
		if($('.slide-order').length){
			$('.slide-order').sortable({
				handle: 'a.hndle',
				update: function(event,ui){
					var inc = 1;
					ui.item.parents('.slide-order').find('li').each(function(){
						var target = $(this).find('a.hndle')[0].href.split("#")[1];
						$('#' + target).find('input.slide-order')[0].value = inc;
						inc++;
					})
				}
			});
		}
		
		$('a.skin-thumbnail').click(function(event){
			event.preventDefault();
			var slug = this.href.split("#")[1];
			$('a.skin-thumbnail').removeClass('active');
			$(this).addClass('active');
			$('#slidedeck_skin').val(slug);
		});
		
		$('a.navigation-type').click(function(event){
			event.preventDefault();
			if(!$(this).hasClass('disabled')){
				var slug = this.href.split("#")[1];
				$('a.navigation-type').removeClass('active');
				$(this).addClass('active');
				$('#slidedeck_navigation_type').val(slug);
			}
		});
		
		$('#slidedeck_filter_by_category').click(function(event){
			if(this.checked == true){
				$('#category_filter_categories').slideDown();
			} else {
				$('#category_filter_categories').slideUp();
			}
		});
		
		$('#slidedeck_total_slides').change(function(){
			if(this.value > 5){
				$('#navigation_simple-dots').click();
				$('#navigation_dates, #navigation_post-titles').addClass('disabled');
			} else {
				$('#navigation_dates, #navigation_post-titles').removeClass('disabled');
			}
		});
		$('#slidedeck_total_slides').trigger('change');
		
		if($('#form_action').val() == "create"){
			$('#dynamic_slidedeck_form #title').css({
				color: '#999',
				fontStyle: 'italic'
			}).focus(function(event){
				this.style.color = "";
				this.style.fontStyle = "";
				this.value = "";
			});
		}

		$('a.slidedeck-action.delete, a.submitdelete.deletion').click(function(event){
			event.preventDefault();
			
			if(confirm("Are you sure you want to delete this SlideDeck?\nThis CANNOT be undone.")){
				var callback;
				if($(this).hasClass('submitdelete')){
					var href = this.href.split("&")[0];
					callback = function(){
						document.location.href = href;
					}
				} else {
					var row = $(this).parents('tr');
					callback = function(){
						row.fadeOut(500,function(){
							row.remove();
						});
					}
				}
				$.get(this.href,function(){
					callback();
				});
			}
		});
		
		$('#template_snippet_w, #template_snippet_h').keyup(function(event){
			var element = this;
			if (this.timer) {
				clearTimeout(element.timer);
			}
			this.timer = setTimeout(function(){
				var w = $('#template_snippet_w').val(),
					h = $('#template_snippet_h').val(),
					slidedeck_id = $('#slidedeck_id').val();
				
				var snippet = "<" + "?php slidedeck( " + slidedeck_id + ", array( 'width' => '" + w + "', 'height' => '" + h + "' ) ); ?" + ">";
				
				$('#slidedeck-template-snippet').val(snippet);
			},100);
			return true;
		});
		
		$('#slidedeck-template-snippet').focus(function(){
			this.select();
		});
	});


	// thickbox settings
	$(window).resize(function() {
		var tbWindow = $('#TB_window'), width = $(window).width(), H = $(window).height(), W = ( 720 < width ) ? 720 : width;
		if (tbWindow.size()) {
			if (tbWindow[0].getElementsByTagName('IFRAME').length){
				if(tbWindow[0].getElementsByTagName('IFRAME')[0].src.match(/preview\.php/)){
					return false;
				}
			}
			tbWindow.width(W - 50).height(H - 45);
			$('#TB_iframeContent').width(W - 50).height(H - 75);
			tbWindow.css({
				'margin-left': '-' + parseInt(((W - 50) / 2), 10) + 'px'
			});
			if (typeof document.body.style.maxWidth != 'undefined') {
                tbWindow.css({
                    'top': '20px',
                    'margin-top': '0'
                });
            }
		};
		
		return $('.media-buttons a.thickbox').each(function(){
			var href = this.href;
			if (!href) 
				return;
			href = href.replace(/&width=[0-9]+/g, '');
			href = href.replace(/&height=[0-9]+/g, '');
			this.href = href + '&width=' + (W - 80) + '&height=' + (H - 85);
		});
	});
})(jQuery);